org.apache.poi.xssf.usermodel

## Class XSSFTableStyleInfo

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFTableStyleInfo

- All Implemented Interfaces:
    TableStyleInfo

      public class XSSFTableStyleInfo
      extends java.lang.Object
      implements TableStyleInfo

  Wrapper for the CT class, to cache values and add style lookup

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFTableStyleInfo(StylesTable stylesTable, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableStyleInfo tableStyleInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `TableStyle` | `getStyle()`
    `boolean` | `isShowColumnStripes()`
    `boolean` | `isShowFirstColumn()`
    `boolean` | `isShowLastColumn()`
    `boolean` | `isShowRowStripes()`
    `void` | `setFirstColumn(boolean showFirstColumn)`
    `void` | `setLastColumn(boolean showLastColumn)`
    `void` | `setName(java.lang.String name)`
    `void` | `setShowColumnStripes(boolean show)`
    `void` | `setShowRowStripes(boolean show)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFTableStyleInfo

          public XSSFTableStyleInfo(StylesTable stylesTable,
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableStyleInfo tableStyleInfo)

      Parameters:
        `stylesTable` -
        `tableStyleInfo` -

  - ### Method Detail

    - #### isShowColumnStripes

          public boolean isShowColumnStripes()

      Specified by:
        `isShowColumnStripes` in interface `TableStyleInfo`
      Returns:
        true if alternating column styles should be applied

    - #### setShowColumnStripes

          public void setShowColumnStripes(boolean show)

    - #### isShowRowStripes

          public boolean isShowRowStripes()

      Specified by:
        `isShowRowStripes` in interface `TableStyleInfo`
      Returns:
        true if alternating row styles should be applied

    - #### setShowRowStripes

          public void setShowRowStripes(boolean show)

    - #### isShowFirstColumn

          public boolean isShowFirstColumn()

      Specified by:
        `isShowFirstColumn` in interface `TableStyleInfo`
      Returns:
        true if the distinct first column style should be applied

    - #### setFirstColumn

          public void setFirstColumn(boolean showFirstColumn)

    - #### isShowLastColumn

          public boolean isShowLastColumn()

      Specified by:
        `isShowLastColumn` in interface `TableStyleInfo`
      Returns:
        true if the distinct last column style should be applied

    - #### setLastColumn

          public void setLastColumn(boolean showLastColumn)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `TableStyleInfo`
      Returns:
        the name of the style (may reference a built-in style)

    - #### setName

          public void setName(java.lang.String name)

    - #### getStyle

          public TableStyle getStyle()

      Specified by:
        `getStyle` in interface `TableStyleInfo`
      Returns:
        style definition

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.